"use strict";
/// <reference types="../types/index.d.ts" />
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var WEBHOOK_TOKEN_HOST = 'https://webhook.site/token';
var baseHeaders = {
    Accept: 'application/json', 'Content-Type': 'application/json'
};
var withApiKeyHeader = function (headers, apiKey) {
    if (headers === void 0) { headers = {}; }
    if (!apiKey)
        return headers;
    return __assign(__assign({}, headers), { "Api-Key": apiKey });
};
Cypress.Commands.add('getWebHookSiteToken', function (apiKey) {
    return cy.task('fetchWebHookSiteToken').then(function (_a) {
        var uuid = _a.uuid, data = __rest(_a, ["uuid"]);
        return (__assign(__assign({}, data), { uuid: uuid, email: "".concat(uuid, "@email.webhook.site") }));
    });
});
Cypress.Commands.add('getWebHookSiteTokenRequests', function (token, apiKey, timeout) {
    if (timeout === void 0) { timeout = 5000; }
    cy.log("Wait ".concat(timeout, " for email server to handle email")).wait(timeout)
        .then(function () { return cy.task('fetchWebHookSiteTokenRequests', { token: token, apiKey: apiKey }); });
});
Cypress.Commands.add('deleteWebHookSiteToken', function (token, apiKey) {
    return cy.task('deleteWebHookSiteToken', { token: token, apiKey: apiKey });
});
